Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# sql_buffer.h File Reference

Declares the SQLBuffer class. More...

`#include "refcounted.h"`
`#include "type_info.h"`
`#include <string>`

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::SQLBuffer
| Holds SQL data in string form plus type information for use in converting the string to compatible C++ data types. More...
## Typedefs
typedef RefCountedPointer< SQLBuffer > | RefCountedBuffer
| Reference-counted version of SQLBuffer.

## Detailed Description

Declares the SQLBuffer class.

## Typedef Documentation

typedef RefCountedPointer<SQLBuffer> mysqlpp::RefCountedBuffer

| Reference-counted version of SQLBuffer. No one uses SQLBuffer directly. It exists only for use in a RefCountedPointer wrapper.